package com.a06.model;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.lang.String.*;



/**
    Early version of View component; uses JSP with JSTL to run two nested loops for display. Non-recursive input form.
    @author CISC474 Group 10
    @version 1.0 (April 2, 2006)
*/
 public class WebInterface extends HttpServlet {


public void doGet(HttpServletRequest request,
        HttpServletResponse response)
        throws IOException, ServletException {

response.setContentType("text/html");
PrintWriter out= response.getWriter();

String username = request.getParameter("username");
String Mon= request.getParameter("Mon");
String Tue = request.getParameter("Tue");
String Wed  = request.getParameter("Wed");
String Thu = request.getParameter("Thu");
String Fri= request.getParameter("Fri");
//Mon:9:00-11:00,2:30-4:30;Tue:;Wed:;Thu:;Fri:;
String newEntry= username + ":" +
    "M:"+ Parser.doParse(Mon) + ";" + 
    "T:"+ Parser.doParse(Tue) + ";" +
    "W:"+ Parser.doParse(Wed) + ";" +
    "T:"+ Parser.doParse(Thu) + ";" +
    "F:"+ Parser.doParse(Fri) + ";" ;

String clear;
  if (request.getParameter("clear") != null) {
   clear = request.getParameter("clear");
  }else {
  clear = "off";
}

//out.println("clear" + clear);
if (clear.equals("on")) {
  StoreData.clear();
  }

ArrayList<String> localList = new ArrayList<String>();
localList= StoreData.ProcessData(newEntry);

String[] temp = new String [100];
for (int i=0; i< StoreData.size(); i++) {
  out.println("size="+ StoreData.size() +" item " + i + " " + StoreData.get(i));
}

ArrayList<String> combined = new ArrayList<String>();
combined = StoreData.getBusy();

out.println("get busy<br>");
for (int i = 0; i< combined.size(); i++) {
out.println(combined.get(i));
}

out.println("<br><br>"+ StoreData.getSBnames() +"<br>");

Controller a06 = new Controller(StoreData.getBusy());
String combinedCal = a06.funnelData();
out.println("<br>after funnel " + combinedCal);

String redirectURL = "http://porsche.cis.udel.edu:8123/calendar/scripts/calendar.jsp?SCHED=" + combinedCal;

out.println("<br><h1><a href=\"" +redirectURL + "\">DISPLAY ME</a></h1>");

//response.sendRedirect(redirectURL);


}
}

